Package ghidra

# Interface GhidraOptions

public interface GhidraOptions
Contains miscellaneous defines used for options.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `GhidraOptions.CURSOR_MOUSE_BUTTON_NAMES`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLY_ENABLED`
  `static final String`
  `CATEGORY_AUTO_ANALYSIS`
  Category name for the "Auto Analysis" options.
  `static final String`
  `CATEGORY_BROWSER_DISPLAY`
  Category name for the Browser options that affect the display.
  `static final String`
  `CATEGORY_BROWSER_FIELDS`
  Options name for Browser fields
  `static final String`
  `CATEGORY_BROWSER_NAVIGATION_MARKERS`
  Category name for the Browser Navigation Marker options.
  `static final String`
  `CATEGORY_BROWSER_POPUPS`
  Category name for Browser Popup options
  `static final String`
  `CATEGORY_DECOMPILER_POPUPS`
  Category name for Decompiler Popup options
  `static final String`
  `CATEGORY_FLOW_OPTIONS`
  Category name for the "Select by Flow" options.
  `static final String`
  `CURSOR_HIGHLIGHT_BUTTON_NAME`
  `static final String`
  `CURSOR_HIGHLIGHT_GROUP`
  `static final GColor`
  `DEFAULT_CURSOR_LINE_COLOR`
  `static final GColor`
  `DEFAULT_HIGHLIGHT_COLOR`
  `static final GColor`
  `DEFAULT_SELECTION_COLOR`
  `static final char`
  `DELIMITER`
  Character used to create a "hierarchy" for a property name; the delimiter creates a new "level."
  `static final String`
  `DISPLAY_NAMESPACE`
  `static final String`
  `EXTERNAL_NAVIGATION_OPTION`
  `static final String`
  `FOLLOW_INDIRECTION_NAVIGATION_OPTION`
  `static final String`
  `HIGHLIGHT_COLOR_NAME`
  `static final String`
  `HIGHLIGHT_CURSOR_LINE`
  `static final String`
  `HIGHLIGHT_CURSOR_LINE_COLOR`
  `static final String`
  `HIGHLIGHT_CURSOR_LINE_COLOR_OPTION_NAME`
  `static final String`
  `HIGHLIGHT_CURSOR_LINE_OPTION_NAME`
  `static final String`
  `LABEL_GROUP_TITLE`
  `static final String`
  `MNEMONIC_GROUP_TITLE`
  Options title for Mnemonic group.
  `static final String`
  `NAVIGATION_OPTIONS`
  `static final String`
  `NAVIGATION_RANGE_OPTION`
  `static final String`
  `OPERAND_GROUP_TITLE`
  Options title for Operand group.
  `static final String`
  `OPTION_BASE_FONT`
  Option for the base font.
  `static final String`
  `OPTION_FOLLOW_COMPUTED_CALL`
  Option for the following computed calls when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_COMPUTED_JUMP`
  Option for the following computed jumps when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_CONDITIONAL_CALL`
  Option for the following conditional calls when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_CONDITIONAL_JUMP`
  Option for the following conditional jumps when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_POINTERS`
  Option for the following pointers when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_UNCONDITIONAL_CALL`
  Option for the following unconditional calls when selecting by flow.
  `static final String`
  `OPTION_FOLLOW_UNCONDITIONAL_JUMP`
  Option for the following unconditional jumps when selecting by flow.
  `static final String`
  `OPTION_HIGHLIGHT_COLOR`
  `static final String`
  `OPTION_MAX_GO_TO_ENTRIES`
  Option name for the max number of go to entries to be remembered.
  `static final String`
  `OPTION_NUMERIC_FORMATTING`
  Option name for interpreting addresses as a number
  `static final String`
  `OPTION_SEARCH_LIMIT`
  Option for the max number of hits found in a search; the search stops when it reaches this limit.
  `static final String`
  `OPTION_SEARCH_TITLE`
  Options title the search category
  `static final String`
  `OPTION_SELECTION_COLOR`
  `static final String`
  `OPTION_SHOW_BLOCK_NAME`
  Option name for whether to show the block name in the operand.
  `static final String`
  `SHOW_BLOCK_NAME_OPTION`

- ## Field Details

  - ### DELIMITER

    static final char DELIMITER
    Character used to create a "hierarchy" for a property name; the delimiter creates a new "level."
    See Also:
      - Constant Field Values

  - ### CATEGORY_BROWSER_DISPLAY

    static final String CATEGORY_BROWSER_DISPLAY
    Category name for the Browser options that affect the display.
    See Also:
      - Constant Field Values

  - ### CATEGORY_BROWSER_NAVIGATION_MARKERS

    static final String CATEGORY_BROWSER_NAVIGATION_MARKERS
    Category name for the Browser Navigation Marker options.
    See Also:
      - Constant Field Values

  - ### OPTION_BASE_FONT

    static final String OPTION_BASE_FONT
    Option for the base font.
    See Also:
      - Constant Field Values

  - ### CATEGORY_FLOW_OPTIONS

    static final String CATEGORY_FLOW_OPTIONS
    Category name for the "Select by Flow" options.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_COMPUTED_CALL

    static final String OPTION_FOLLOW_COMPUTED_CALL
    Option for the following computed calls when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_CONDITIONAL_CALL

    static final String OPTION_FOLLOW_CONDITIONAL_CALL
    Option for the following conditional calls when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_UNCONDITIONAL_CALL

    static final String OPTION_FOLLOW_UNCONDITIONAL_CALL
    Option for the following unconditional calls when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_COMPUTED_JUMP

    static final String OPTION_FOLLOW_COMPUTED_JUMP
    Option for the following computed jumps when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_CONDITIONAL_JUMP

    static final String OPTION_FOLLOW_CONDITIONAL_JUMP
    Option for the following conditional jumps when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_UNCONDITIONAL_JUMP

    static final String OPTION_FOLLOW_UNCONDITIONAL_JUMP
    Option for the following unconditional jumps when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_FOLLOW_POINTERS

    static final String OPTION_FOLLOW_POINTERS
    Option for the following pointers when selecting by flow.
    See Also:
      - Constant Field Values

  - ### OPTION_SEARCH_LIMIT

    static final String OPTION_SEARCH_LIMIT
    Option for the max number of hits found in a search; the search stops when it reaches this limit.
    See Also:
      - Constant Field Values

  - ### OPTION_SEARCH_TITLE

    static final String OPTION_SEARCH_TITLE
    Options title the search category
    See Also:
      - Constant Field Values

  - ### CATEGORY_AUTO_ANALYSIS

    static final String CATEGORY_AUTO_ANALYSIS
    Category name for the "Auto Analysis" options.
    See Also:
      - Constant Field Values

  - ### CATEGORY_BROWSER_FIELDS

    static final String CATEGORY_BROWSER_FIELDS
    Options name for Browser fields
    See Also:
      - Constant Field Values

  - ### MNEMONIC_GROUP_TITLE

    static final String MNEMONIC_GROUP_TITLE
    Options title for Mnemonic group.
    See Also:
      - Constant Field Values

  - ### OPERAND_GROUP_TITLE

    static final String OPERAND_GROUP_TITLE
    Options title for Operand group.
    See Also:
      - Constant Field Values

  - ### LABEL_GROUP_TITLE

    static final String LABEL_GROUP_TITLE
    See Also:
      - Constant Field Values

  - ### OPTION_SHOW_BLOCK_NAME

    static final String OPTION_SHOW_BLOCK_NAME
    Option name for whether to show the block name in the operand.
    See Also:
      - Constant Field Values

  - ### CATEGORY_BROWSER_POPUPS

    static final String CATEGORY_BROWSER_POPUPS
    Category name for Browser Popup options
    See Also:
      - Constant Field Values

  - ### CATEGORY_DECOMPILER_POPUPS

    static final String CATEGORY_DECOMPILER_POPUPS
    Category name for Decompiler Popup options
    See Also:
      - Constant Field Values

  - ### OPTION_NUMERIC_FORMATTING

    static final String OPTION_NUMERIC_FORMATTING
    Option name for interpreting addresses as a number
    See Also:
      - Constant Field Values

  - ### OPTION_MAX_GO_TO_ENTRIES

    static final String OPTION_MAX_GO_TO_ENTRIES
    Option name for the max number of go to entries to be remembered.
    See Also:
      - Constant Field Values

  - ### SHOW_BLOCK_NAME_OPTION

    static final String SHOW_BLOCK_NAME_OPTION
    See Also:
      - Constant Field Values

  - ### DISPLAY_NAMESPACE

    static final String DISPLAY_NAMESPACE
    See Also:
      - Constant Field Values

  - ### NAVIGATION_OPTIONS

    static final String NAVIGATION_OPTIONS
    See Also:
      - Constant Field Values

  - ### NAVIGATION_RANGE_OPTION

    static final String NAVIGATION_RANGE_OPTION
    See Also:
      - Constant Field Values

  - ### EXTERNAL_NAVIGATION_OPTION

    static final String EXTERNAL_NAVIGATION_OPTION
    See Also:
      - Constant Field Values

  - ### FOLLOW_INDIRECTION_NAVIGATION_OPTION

    static final String FOLLOW_INDIRECTION_NAVIGATION_OPTION
    See Also:
      - Constant Field Values

  - ### HIGHLIGHT_CURSOR_LINE_COLOR_OPTION_NAME

    static final String HIGHLIGHT_CURSOR_LINE_COLOR_OPTION_NAME
    See Also:
      - Constant Field Values

  - ### HIGHLIGHT_CURSOR_LINE_COLOR

    static final String HIGHLIGHT_CURSOR_LINE_COLOR
    See Also:
      - Constant Field Values

  - ### DEFAULT_CURSOR_LINE_COLOR

    static final GColor DEFAULT_CURSOR_LINE_COLOR

  - ### HIGHLIGHT_CURSOR_LINE_OPTION_NAME

    static final String HIGHLIGHT_CURSOR_LINE_OPTION_NAME
    See Also:
      - Constant Field Values

  - ### HIGHLIGHT_CURSOR_LINE

    static final String HIGHLIGHT_CURSOR_LINE
    See Also:
      - Constant Field Values

  - ### CURSOR_HIGHLIGHT_GROUP

    static final String CURSOR_HIGHLIGHT_GROUP
    See Also:
      - Constant Field Values

  - ### CURSOR_HIGHLIGHT_BUTTON_NAME

    static final String CURSOR_HIGHLIGHT_BUTTON_NAME
    See Also:
      - Constant Field Values

  - ### HIGHLIGHT_COLOR_NAME

    static final String HIGHLIGHT_COLOR_NAME
    See Also:
      - Constant Field Values

  - ### OPTION_SELECTION_COLOR

    static final String OPTION_SELECTION_COLOR
    See Also:
      - Constant Field Values

  - ### DEFAULT_SELECTION_COLOR

    static final GColor DEFAULT_SELECTION_COLOR

  - ### OPTION_HIGHLIGHT_COLOR

    static final String OPTION_HIGHLIGHT_COLOR
    See Also:
      - Constant Field Values

  - ### DEFAULT_HIGHLIGHT_COLOR

    static final GColor DEFAULT_HIGHLIGHT_COLOR

  - ### APPLY_ENABLED

    static final String APPLY_ENABLED
    See Also:
      - Constant Field Values